Customers
Users Addresses List
Retrieve a list of addresses in an existing customer.
Authorization
oauth2 users:readAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: users:read
Path Parameters
id*integer
A unique integer value identifying this User address.
Query Parameters
cursor?string
The pagination cursor value.
Header Parameters
X-29next-API-Version*"2023-02-10"
Default
"2023-02-10"Value in
- "2023-02-10"
Response Body
application/json
curl -X GET "https://example.com/users/0/addresses/" \ -H "X-29next-API-Version: 2023-02-10"{ "next": "http://example.com", "previous": "http://example.com", "results": [ { "country": "string", "first_name": "string", "id": 0, "is_default_for_billing": true, "is_default_for_shipping": true, "last_name": "string", "line1": "string", "line2": "string", "line3": "string", "line4": "string", "notes": "string", "phone_number": "string", "postcode": "string", "state": "string" } ]}